## ir-tcl 1.4.3-1

=== Makefile ===
# IR toolkit for tcl/tk
# (c) Index Data 1995-2004
# See the file LICENSE for details.
# $Id: Makefile.in,v 1.65 2005/03/10 14:10:54 adam Exp $
SHELL=/bin/sh

# IrTcl Version
VERSION=1.4.3

# Directory prefix with machine independent files (scripts, setup files, etc.)
prefix = /usr

# Directory prefix with machine dependent files (executables, libraries)
exec_prefix = ${prefix}

DESTDIR=

# Install directories
BINDIR=$(exec_prefix)/bin
LIBDIR=$(exec_prefix)/lib
MANDIR=$(prefix)/man
INCDIR=$(prefix)/include
IRTCLDIR=$(prefix)/lib/irtcl

CC=gcc

# Tcl libraries and include files
TCLLIB=
TCLINC=

# Tk & X11 libraries and include files
TKLIB=
TKINC=

# Shared libraries definitions
SHLIB_CFLAGS = 
SHLIB_LD = 
SHLIB_SUFFIX = 
SHLIB_VERSION = 

# Where are YAZ libraries located?
YAZLIB=-lyaz -lexslt -lxslt -lxml2 -lpthread -lssl -lcrypto -lwrap -lnsl
# Where are YAZ header files located?
YAZINC=-pthread -DYAZ_POSIX_THREADS=1 -DYAZ_HAVE_XML2=1 -DYAZ_HAVE_XSLT=1 -DYAZ_HAVE_EXSLT=1 -I/usr/include/libxml2

# All include paths
INCLUDE=-I. $(YAZINC) $(TKINC) $(TCLINC) 

# All command line options except CFLAGS
DEFS=-DCCL2RPN=0 -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DIRTCLDIR=\"$(IRTCLDIR)\" \
	$(INCLUDE) -DIR_TCL_VERSION=\"$(VERSION)\"

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644

RANLIB = ranlib

O=ir-tcl.o marc.o queue.o mem.o grs.o explain.o select.o

all: ir-tcl

ir-tcl: libirtcl.a tclmain.o
	$(CC) $(CFLAGS) tclmain.o -o ir-tcl libirtcl.a $(YAZLIB) $(TCLLIB) 

libirtcl.a: $(O)
	rm -f libirtcl.a
	ar qc libirtcl.a $(O)
	$(RANLIB) libirtcl.a

irtcl-shared: $(O)
	rm -f irtcl-shared
	${SHLIB_LD} -o irtcl-shared $(O) $(YAZLIB)

WAISDIR=../freeWAIS-sf-2.0

wais-tcl: libirtcl.a wais-tcl.o waismain.o
	$(CC) $(CFLAGS) wais-tcl.o waismain.o -o wais-tcl libirtcl.a \
		$(YAZLIB)  $(WAISDIR)/ir/libwais.a $(TCLLIB)

waismain.o: tclmain.c
	$(CC) -c $(CFLAGS) -DUSE_WAIS=1 $(DEFS) tclmain.c -o waismain.o

wais-tcl.o: wais-tcl.c
	$(CC) -c $(CFLAGS) -I$(WAISDIR)/ir $(DEFS) wais-tcl.c

install.man:
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/mann
	@cd doc; if [ -d $(DESTDIR)$(MANDIR)/mann ]; then \
		for p in *.n; do \
			$(INSTALL_DATA) $$p $(DESTDIR)$(MANDIR)/mann; \
		done; \
	fi

install: ir-tcl
	$(INSTALL) -d $(DESTDIR)$(IRTCLDIR)/formats
	$(INSTALL) -d $(DESTDIR)$(IRTCLDIR)/bitmaps
	$(INSTALL) -d $(DESTDIR)$(IRTCLDIR)/doc
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	@if [ -f ir-tcl ]; then \
		$(INSTALL_PROGRAM) ir-tcl $(DESTDIR)$(BINDIR); \
	fi
	@if [ -f irtcl-shared ]; then \
		$(INSTALL_PROGRAM) irtcl-shared $(DESTDIR)$(IRTCLDIR); \
	fi
	$(INSTALL_DATA) libirtcl.a $(DESTDIR)$(LIBDIR)
	$(INSTALL_DATA) ir-tcl.h $(DESTDIR)$(INCDIR)
	@if [ -f ir-tk ]; then \
		$(INSTALL_PROGRAM) ir-tk $(DESTDIR)$(BINDIR); \
	fi
	@echo "#! /usr/bin/wish -f" >head.bak; \
	cat head.bak client.tcl| sed "s,^set libdir LIBDIR,set libdir $(IRTCLDIR)," >client.bak; \
	$(INSTALL_PROGRAM) client.bak $(DESTDIR)$(BINDIR)/irclient; \
	if [ -f $(DESTDIR)$(IRTCLDIR)/irtdb.tcl ]; then \
		echo "irtdb.tcl already exists"; \
		echo "Installing irtdb.tcl.n"; \
		cp irtdb.tcl irtdb.tcl.n; \
		$(INSTALL_DATA) irtdb.tcl.n $(DESTDIR)$(IRTCLDIR); \
		rm irtdb.tcl.n; \
	else \
		echo "Installing irtdb.tcl"; \
		$(INSTALL_DATA) irtdb.tcl $(DESTDIR)$(IRTCLDIR); \
	fi
	@for f in *.tcl; do \
		$(INSTALL_DATA) $$f $(DESTDIR)$(IRTCLDIR); \
	done
	@for b in formats/*.tcl; do \
		if [ -f $$b ]; then \
			$(INSTALL_DATA) $$b $(DESTDIR)$(IRTCLDIR)/formats; \
		fi; \
	done
	@for b in bitmaps/*; do \
		if [ -f $$b ]; then \
			$(INSTALL_DATA) $$b $(DESTDIR)$(IRTCLDIR)/bitmaps; \
		fi; \
	done
	@for b in doc/*; do \
		if [ -f $$b ]; then \
			$(INSTALL_DATA) $$b $(DESTDIR)$(IRTCLDIR)/doc; \
		fi; \
	done

clean:
	rm -f *.[oa] ir-tk ir-tcl wais-tcl core 
	rm -f *mon.out *.bak config.cache irtcl-shared

autoconf:
	-rm config.cache
	autoconf
	configure

.c.o:
	$(CC) -c $(CFLAGS) $(SHLIB_CFLAGS) $(DEFS) $<

$(O) tkmain.o tclmain.o wais-tcl.o waismain.o: ir-tcl.h ir-tclp.h

=== doc/Makefile ===
# $Id: Makefile,v 1.9 2004/04/26 09:50:50 adam Exp $
all: ir-tcl.ps ir-tcl.html

ir-tcl.txt: ir-tcl.sgml
	sgml2txt -f ir-tcl.sgml

ir-tcl.ps: ir-tcl.sgml
	sgml2latex --output=ps ir-tcl

ir-tcl.dvi: ir-tcl.tex
	sgml2latex --output=dvi ir-tcl

ir-tcl.tex: ir-tcl.sgml
	sgml2latex --output=tex ir-tcl

ir-tcl.html: ir-tcl.sgml
	sgml2html ir-tcl

ir-tcl.shtml: ir-tcl.html

clean:
	rm -f [0-9]* *.bak *.aux *.tex *.ps *.dvi *.html *.shtml

=== debian/changelog ===
ir-tcl (1.4.3-1) unstable; urgency=low

  * For etch. Still using YAZ version 2.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 08 May 2007 08:41:07 +0200

ir-tcl (1.4.2-2) unstable; urgency=low

  * Use DESTDIR instead of --built-root.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 May 2004 21:34:35 +0200

ir-tcl (1.4.2-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 26 Apr 2003 11:09:01 +0100

ir-tcl (1.4.1-3) unstable; urgency=low

  * Updated for YAZ 2.0.2 (new Debian package layout).

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 29 Apr 2003 12:50:08 +0100

ir-tcl (1.4.1-2) unstable; urgency=low

  * New package in order to avoid libxml2 high version.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 28 Sep 2002 10:58:00 +0100

ir-tcl (1.4.1-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Sun, 24 Sep 2002 00:11:03 +0100

ir-tcl (1.4-1) unstable; urgency=low

  * First IR Tcl debian package

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 13 Sep 2002 22:23:33 +0100

=== debian/control ===
Source: ir-tcl
Standards-Version: 3.5.9.0
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Priority: extra
Build-Depends: libyaz-dev (>= 2.0.2), tcl8.3-dev

Package: ir-tcl-doc
Section: doc
Architecture: all
Recommends: ir-tcl
Description: Documentation for the IR Tcl.
 IR Tcl is a extension for Tcl that offers a Z39.50 client functionality.
 .
 This package contains documentation for the IR Tcl.

Package: ir-tcl
Section: net
Architecture: any
Depends: ${shlibs:Depends}, tcl8.3, tk8.3
Description: Information Retrieval Toolkit for Tcl.
 IR Tcl is a extension for Tcl that offers a Z39.50 client functionality.

=== debian/rules ===
#!/usr/bin/make -f
# 
# Created by Adam Dickmeiss, based on script by
# Morten Hendriksen <mgh@dbc.dk>  and from Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

CONFIG_FLAGS=--with-tclconfig=/usr/lib/tcl8.3 --with-yazconfig=/usr/bin --prefix=/usr

# Enable parallel builds if CONCURRENCY_LEVEL is set
ifdef CONCURRENCY_LEVEL
MCFLAGS=-j$(CONCURRENCY_LEVEL)
else
MCFLAGS=
endif

IRTCLDIR?=$(shell pwd)

# Local library path for linking with right dependencies
LOCAL_LINK=-ldebian/ir-tcl/usr/lib

configure: configure.in
	autoconf

stamp-configure: configure
	dh_testdir

	./configure $(CONFIG_FLAGS) --prefix=/usr
	touch stamp-configure

build: stamp-build
stamp-build: stamp-configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) $(MCFLAGS)

	touch stamp-build

clean:
	dh_testdir
	#dh_testroot
	-rm -f stamp-*
	rm -f *.o *.so *.a config.* irclient

	dh_clean
	-rm -rf debian/ir-tcl debian/*.debhelper debian/substvars

install: stamp-install
stamp-install: stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs -a

	# Add here commands to install the package into debian/tmp.
	-mkdirhier debian/tmp/usr
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	touch stamp-install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -p ir-tcl-doc doc/*.html doc/*.ps
	dh_installchangelogs -p ir-tcl-doc
	dh_link -p ir-tcl-doc
	dh_strip -p ir-tcl-doc
	dh_compress -p ir-tcl-doc
	dh_fixperms -p ir-tcl-doc
	dh_gencontrol -p ir-tcl-doc
	dh_md5sums -p ir-tcl-doc

	dh_builddeb -p ir-tcl-doc

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles -p ir-tcl usr/lib/irtcl usr/bin

	cp NEWS changelog
	cp LICENSE debian/copyright
	dh_installdocs --all README changelog debian/copyright

	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress -a
	dh_fixperms -a

	dh_installdeb -p ir-tcl
	for i in doc/*.n; do \
		m=`echo $$i|sed 's/\.n/.3tcl/g'`; \
		cp $$i $$m; \
	done
	dh_installman -p ir-tcl doc/*.3tcl
	dh_shlibdeps -p ir-tcl

	dh_gencontrol -p ir-tcl
	dh_md5sums -p ir-tcl

	# Go kill those CVS-dirs before build
	-find debian/tmp -type d -name CVS | xargs rm -rf
	# For some reason it is necessary to remove empty-dirs in doc
	-rm -rf debian/tmp/usr/include debian/tmp/usr/lib debian/tmp/usr/bin 

	dh_builddeb -p ir-tcl

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-stamp configure
